import codecs, re
from setuptools import setup
from setuptools import find_packages

with codecs.open('pypi_info.md', encoding='utf-8') as f: long_description = f.read()
    
with open('pyken/__init__.py', encoding='utf-8') as f:
    version = re.search(r'__version__\s*=\s*[\'"]([^\'"]*)[\'"]', f.read()).group(1)

setup(
    name='pyken',
    version=version,
    author='Guillermo Lizcano',
    author_email='guille.lv.97@gmail.com',
    description='Scorecard development with Python',
    long_description_content_type="text/markdown",
    long_description=long_description,
    packages=find_packages(),
    keywords=['python', 'rating', 'scoring', 'logistic-regression', 'scorecard', 'woe', 'credit-risk', 'autogrouping'],
    classifiers=[
        'Programming Language :: Python :: 3',
        'License :: OSI Approved :: MIT Licenses',
        'Operating System :: OS Independent'
    ]
)

